Subject: Re: Perl version support (was Re: [PATCH] git-mv is not able to handle big directories)

From: Ryan Anderson <[email-masked]>
Date: Sun, 27 Nov 2005 20:46:29 -0500

Randal L. Schwartz wrote:
>>>>>>"Ryan" == Ryan Anderson <[email-masked]> writes:
> Ryan> For the kernel, requiring 5.8 shouldn't be a big issue. I suspect it's
> Ryan> really only the commercial Unixes where requiring 5.8 would be annoying.
> 
> Ryan> Randal, is my guess even remotely accurate?
> 
> I'd say that 50% of the Perl-using population is at 5.6, with 25% each
> at 5.5 and 5.8.  Those on 5.5 are generally unable to upgrade Perl
> for corporate reasons.
> 
> Targetting Perl 5.6 would assist broad acceptance of git for the
> typical commercial end user.  Targetting 5.5 where possible would
> ensure practical success for everyone.
> 
> However, I have not seen the "target market" of git discussed yet
> (I came late to the party), so if support for 5.6 (or 5.5) is not chosen,
> it merely limits the market.

Well, I think the general target market[1] for Linux probably applies
here, as well.  On the other hand, the users limited to Perl 5.5 for
corporate reasons are probably also prevented from installing new tools
for general use, so the difference may not matter very much.

[1] - "World domination", of course.

-- 

Ryan Anderson
  sometimes Pug Majere